ALAS-2013-206


Amazon Linux AMI Security Advisory: ALAS-2013-206
Advisory Release Date: 2014-09-15 23:14 Pacific
Severity: Critical
References: CVE-2013-2110 

Issue Overview:

Heap-based buffer overflow in the php_quot_print_encode function in ext/standard/quot_print.c in PHP before 5.3.26 and 5.4.x before 5.4.16 allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted argument to the quoted_printable_encode function.


Affected Packages:

php54


Issue Correction:
Run yum update php54 to update your system.

New Packages:
i686:
    php54-pspell-5.4.16-1.37.amzn1.i686
    php54-snmp-5.4.16-1.37.amzn1.i686
    php54-imap-5.4.16-1.37.amzn1.i686
    php54-mbstring-5.4.16-1.37.amzn1.i686
    php54-cli-5.4.16-1.37.amzn1.i686
    php54-tidy-5.4.16-1.37.amzn1.i686
    php54-ldap-5.4.16-1.37.amzn1.i686
    php54-xml-5.4.16-1.37.amzn1.i686
    php54-enchant-5.4.16-1.37.amzn1.i686
    php54-debuginfo-5.4.16-1.37.amzn1.i686
    php54-devel-5.4.16-1.37.amzn1.i686
    php54-mcrypt-5.4.16-1.37.amzn1.i686
    php54-fpm-5.4.16-1.37.amzn1.i686
    php54-pdo-5.4.16-1.37.amzn1.i686
    php54-pgsql-5.4.16-1.37.amzn1.i686
    php54-mssql-5.4.16-1.37.amzn1.i686
    php54-gd-5.4.16-1.37.amzn1.i686
    php54-mysqlnd-5.4.16-1.37.amzn1.i686
    php54-embedded-5.4.16-1.37.amzn1.i686
    php54-odbc-5.4.16-1.37.amzn1.i686
    php54-common-5.4.16-1.37.amzn1.i686
    php54-recode-5.4.16-1.37.amzn1.i686
    php54-process-5.4.16-1.37.amzn1.i686
    php54-dba-5.4.16-1.37.amzn1.i686
    php54-intl-5.4.16-1.37.amzn1.i686
    php54-bcmath-5.4.16-1.37.amzn1.i686
    php54-mysql-5.4.16-1.37.amzn1.i686
    php54-xmlrpc-5.4.16-1.37.amzn1.i686
    php54-5.4.16-1.37.amzn1.i686
    php54-soap-5.4.16-1.37.amzn1.i686

src:
    php54-5.4.16-1.37.amzn1.src

x86_64:
    php54-process-5.4.16-1.37.amzn1.x86_64
    php54-recode-5.4.16-1.37.amzn1.x86_64
    php54-fpm-5.4.16-1.37.amzn1.x86_64
    php54-dba-5.4.16-1.37.amzn1.x86_64
    php54-ldap-5.4.16-1.37.amzn1.x86_64
    php54-soap-5.4.16-1.37.amzn1.x86_64
    php54-mbstring-5.4.16-1.37.amzn1.x86_64
    php54-embedded-5.4.16-1.37.amzn1.x86_64
    php54-mysqlnd-5.4.16-1.37.amzn1.x86_64
    php54-odbc-5.4.16-1.37.amzn1.x86_64
    php54-mysql-5.4.16-1.37.amzn1.x86_64
    php54-pspell-5.4.16-1.37.amzn1.x86_64
    php54-common-5.4.16-1.37.amzn1.x86_64
    php54-imap-5.4.16-1.37.amzn1.x86_64
    php54-5.4.16-1.37.amzn1.x86_64
    php54-enchant-5.4.16-1.37.amzn1.x86_64
    php54-xml-5.4.16-1.37.amzn1.x86_64
    php54-devel-5.4.16-1.37.amzn1.x86_64
    php54-mcrypt-5.4.16-1.37.amzn1.x86_64
    php54-tidy-5.4.16-1.37.amzn1.x86_64
    php54-mssql-5.4.16-1.37.amzn1.x86_64
    php54-cli-5.4.16-1.37.amzn1.x86_64
    php54-intl-5.4.16-1.37.amzn1.x86_64
    php54-debuginfo-5.4.16-1.37.amzn1.x86_64
    php54-xmlrpc-5.4.16-1.37.amzn1.x86_64
    php54-pgsql-5.4.16-1.37.amzn1.x86_64
    php54-gd-5.4.16-1.37.amzn1.x86_64
    php54-pdo-5.4.16-1.37.amzn1.x86_64
    php54-snmp-5.4.16-1.37.amzn1.x86_64
    php54-bcmath-5.4.16-1.37.amzn1.x86_64